html{
    height: 95vh;
}

body{
    padding: 2rem;
    background: rgb(238,174,202);
    background: linear-gradient(90deg, rgba(238,174,202,1) 48%, rgba(148,187,233,1) 100%); 
}
.select-level{
    display: grid;
    grid-template-areas: "nbCard level" "input input" "sub sub";
    grid-template-columns: 50% 50%;
    gap: 10px;
    align-items: center;
    background-color: transparent;
    margin-bottom: 2rem;
    padding: 1rem;
    border-radius: 5px;
    border: 1px solid bisque;
}

form input, form button{
    cursor: pointer;
}

.select-level label{
    grid-area: nbCard;
    font-size: 1.5rem;
}

.level{
    display: none;
    grid-area: level;
    font-size: 1.5rem;
    
}

.select-level input{
    grid-area: input;
}

.submit-form{
    font-size: 1.5rem;
    opacity: 0;
    grid-area: sub;
    font-weight: bolder;
    background-color: transparent;
    width: 50%;
    border: 2px solid black;
    margin: auto;
    border-radius: 5px;
}

.submit-form:hover, .submit-form:active{
    background: black;
    color:  rgba(238,174,202,1)
}

.container{
    padding: 2rem;
    display: flex;
    gap: 20px;
    border: 1px solid bisque;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
    background-color: transparent;
    display: none;
    border-radius: 5px;
    cursor: pointer;
}

.card{
    height: 150px;
    width: 150px;
    border: 2px solid red;
    display: grid;
    place-items: center;
    background-color: rgba(148, 188, 233, 0.5);
    transition: all 0.5s;
    border-radius: 5px;
    font-size: xx-large;
    color: transparent;
    flex-grow: 2;
}

.card:hover:not(.cardSelected):not(.cardFind){
    background-color: rgb(238,174,202);
}

.cardSelected, .cardFind{
    background-color: aliceblue;
    color: black;
}

.cardFind{
    border-color: green;
}

.win-alert{
    border-radius: 24px;
    width: 50%;
    text-align: center;
    font-size: xx-large;
    min-height: 15rem;      
}


.win-alert form button {
    width: 80%;
    margin: auto;
    margin-top: 0.5rem;
    font-size: 1.5rem;
    background: transparent;
    border: 2px solid black;
    border-radius: 5px;
    font-weight: bolder;
}

.win-alert form button:hover , .win-alert form button:active{
    background-color: black;
    color: rgb(247, 148, 148);
}

.blur{
    filter: blur(3px);
}

.win-alert[open]{
    display: grid;
    align-items: center;
    background: linear-gradient(90deg, rgba(238,174,202,1) 48%, rgba(148,187,233,1) 100%);
    overflow: hidden;
}

.win-alert[open] .victory{
    margin: 0;
    animation: heart-anim 1s 400ms;
    animation-direction: alternate;
    animation-iteration-count: 4;
}


@keyframes heart-anim {
    to{
        transform: scale(8.0);
    }
}

@media (width < 556px){
    body{
        padding: 5px;
    }
    .container{
        padding: 5px;
    }
    .card{
        height: 100px;
        width: 100px;
    }

    .select-level{
        display: grid;
        grid-template-areas: "nbCard nbCard" "level level" "input input" "sub sub";
        grid-template-columns: 100%;
        gap: 10px;
    }

    .submit-form{
        width: fit-content;
    }

    .win-alert{
        border-radius: 24px;
        width: 80%;
        height: 80%;
        text-align: center;
        font-size: xx-large;
        min-height: 15rem;      
    }

}

@media (width < 400px){
    body{
        padding: 5px;
    }
    .container{
        padding: 5px;
    }
    .card{
        height: 80px;
        width: 80px;
    }
}
